import { http, jumpExport } from '@/utils/http/axios';

// 获取课程管理列表
export function List(params) {
  return http.request({
    url: '/lesson/list',
    method: 'get',
    params,
  });
}

// 删除/批量删除课程管理
export function Delete(params) {
  return http.request({
    url: '/lesson/delete',
    method: 'POST',
    params,
  });
}

// 添加/编辑课程管理
export function Edit(params) {
  return http.request({
    url: '/lesson/edit',
    method: 'POST',
    params,
  });
}

// 获取课程管理指定详情
export function View(params) {
  return http.request({
    url: '/lesson/view',
    method: 'GET',
    params,
  });
}

// 导出课程管理
export function Export(params) {
  jumpExport('/lesson/export', params);
}